Operation History
GET /api/v3/accounts/activity
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| limit | integer | limit of records (default 100, max 1000) |
| offset | integer | offset for pagination (default 0) |
private_api.accounts().history()
Response
[{
"balance": 500.0,
"reserve": 0,
"currency": "USDT",
"wallet_type": "SPOT",
"last_update_at": "2023-09-04T12:00:00Z",
"account_id": 0,
"op_type": 1
}...]
Response Fields
| Field | Type | Description |
|---|---|---|
| balance | float | operation amount |
| reserve | float | reserve change |
| currency | string | currency code |
| wallet_type | string | SPOT, MARGIN_CROSS, MARGIN_ISOLATED |
| last_update_at | string | operation date |
| account_id | integer | account ID |
| op_type | integer | operation type code (see Constants — Operation Types) |